## org.freedesktop.NetworkManager.AccessPoint

org.freedesktop.NetworkManager.AccessPoint

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Flags       readable   u
    WpaFlags    readable   u
    RsnFlags    readable   u
    Ssid        readable   ay
    Frequency   readable   u
    HwAddress   readable   s
    Mode        readable   u
    MaxBitrate  readable   u
    Strength    readable   y
    LastSeen    readable   i

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Flags" property

    Flags  readable   u

Flags describing the capabilities of the access point.

Returns: NM80211ApFlags

### The "WpaFlags" property

    WpaFlags  readable   u

Flags describing the access point's capabilities according to WPA (Wifi Protected Access).

Returns: NM80211ApSecurityFlags

### The "RsnFlags" property

    RsnFlags  readable   u

Flags describing the access point's capabilities according to the RSN (Robust Secure Network) protocol.

Returns: NM80211ApSecurityFlags

### The "Ssid" property

    Ssid  readable   ay

The Service Set Identifier identifying the access point.

### The "Frequency" property

    Frequency  readable   u

The radio channel frequency in use by the access point, in MHz.

### The "HwAddress" property

    HwAddress  readable   s

The hardware address (BSSID) of the access point.

### The "Mode" property

    Mode  readable   u

Describes the operating mode of the access point.

Returns: NM80211Mode

### The "MaxBitrate" property

    MaxBitrate  readable   u

The maximum bitrate this access point is capable of, in kilobits/second (Kb/s).

### The "Strength" property

    Strength  readable   y

The current signal quality of the access point, in percent.

### The "LastSeen" property

    LastSeen  readable   i

The timestamp (in CLOCK_BOOTTIME seconds) for the last time the access point was found in scan results. A value of -1 means the access point has never been found in scan results.